<?php

/**
 * @author Eticons
 * @table(name=tb_usuariorestrito)
 */
class UsuarioRestrito {

    /**     * @id * @column(name=id) */
    private $id;
    /**     * @column(name=usuario) */
    private $usuario;
    /**     * @column(name=senha) */
    private $senha;
    /**     * @column(name=nome) */
    private $nome;
    /**     * @column(name=nivel) */
    private $nivel;
    /**     * @column(name=statusUsuario) */
    private $statusUsuario;
    /**     * @column(name=liberado) */
    private $liberado;

    public function getId() {
        return $this->id;
    }

    public function setId($id) {
        $this->id = $id;
    }

    public function getUsuario() {
        return $this->usuario;
    }

    public function setUsuario($usuario) {
        $this->usuario = $usuario;
    }

    public function getSenha() {
        return $this->senha;
    }

    public function setSenha($senha) {
        $this->senha = $senha;
    }

    public function getNome() {
        return $this->nome;
    }

    public function setNome($nome) {
        $this->nome = $nome;
    }

    public function getNivel() {
        return $this->nivel;
    }

    public function setNivel($nivel) {
        $this->nivel = $nivel;
    }

    public function getStatusUsuario() {
        return $this->statusUsuario;
    }

    public function setStatusUsuario($statusUsuario) {
        $this->statusUsuario = $statusUsuario;
    }

    public function getLiberado() {
        return $this->liberado;
    }

    public function setLiberado($liberado) {
        $this->liberado = $liberado;
    }

}

?>
